Read Organization
Intent
Reads the organization without changing it.
When to call it
Call this after your application has received or stored the identifier for the organization.
Access boundary
Use the credential type and authentication scheme shown for this operation.
Successful result
A successful request returns 200. The response schema below defines the body your integration receives.
GET
/
v1
/
customer-portal
/
organizations
/
{slug}
Read Organization
curl --request GET \
--url https://api.getruba.com/v1/customer-portal/organizations/{slug}import requests
url = "https://api.getruba.com/v1/customer-portal/organizations/{slug}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getruba.com/v1/customer-portal/organizations/{slug}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"organization": {
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"avatar_url": "<string>",
"allow_customer_updates": true,
"customer_portal_settings": {
"usage": {
"show": true
},
"subscription": {
"update_seats": true,
"update_plan": true
},
"customer": {
"allow_email_change": true
}
},
"organization_features": {
"member_model_enabled": false,
"checkout_localization_enabled": false
}
},
"products": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"trial_interval_count": 123,
"name": "<string>",
"description": "<string>",
"recurring_interval_count": 123,
"is_recurring": true,
"is_archived": true,
"organization_id": "<string>",
"prices": [
{
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"id": "<string>",
"amount_type": "<string>",
"price_currency": "<string>",
"is_archived": true,
"product_id": "<string>",
"type": "<string>",
"price_amount": 123,
"legacy": true
}
],
"benefits": [
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"modified_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"selectable": true,
"deletable": true,
"is_deleted": true,
"organization_id": "<string>"
}
],
"medias": [
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"path": "<string>",
"mime_type": "<string>",
"size": 123,
"storage_version": "<string>",
"checksum_etag": "<string>",
"checksum_sha256_base64": "<string>",
"checksum_sha256_hex": "<string>",
"last_modified_at": "2023-11-07T05:31:56Z",
"version": "<string>",
"service": "<string>",
"is_uploaded": true,
"created_at": "2023-11-07T05:31:56Z",
"size_readable": "<string>",
"public_url": "<string>"
}
]
}
]
}{
"error": "<string>",
"detail": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Previous
Change Customer### Intent
Applies the supplied changes to the customer.
### When to call it
Call this when the customer already exists and its stored values need to change.
### Access boundary
Authorize the request with a token that carries `customer_portal:write`.
### Successful result
A successful request returns `200`. The response schema below defines the body your integration receives.
Next
⌘I
Read Organization
